Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class PropertiesEditorFrame.PropsTableModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--jpos.config.simple.editor.PropertiesEditorFrame.PropsTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  PropertiesEditorFrame

class PropertiesEditorFrame.PropsTableModel
extends javax.swing.table.AbstractTableModel

TableModel inner class for this PropertiesEditorFrame

Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`PropertiesEditorFrame.PropsTableModel()` Default ctor

Method Summary
`void` | `add(java.lang.String name, java.lang.String value)` Adds a new JposProperties.Prop to the model
`void` | `delete(int rowIndex)` Deletes the row index specified
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`java.util.Properties` | `getProperties()`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `setProperties(JposProperties properties)` Sets the JposProperties to be edited
`void` | `setValueAt(java.lang.Object value, int rowIndex, int columnIndex)` Sets the value at the

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesEditorFrame.PropsTableModel

    public PropertiesEditorFrame.PropsTableModel()

  Default ctor

Method Detail

### setProperties

    public void setProperties(JposProperties properties)

  Sets the JposProperties to be edited
  Parameters:
    `properties` - the JposProperties

### getProperties

    public java.util.Properties getProperties()

  Returns:
    a Properties object with all properties in this model

### add

    public void add(java.lang.String name,
                    java.lang.String value)

  Adds a new JposProperties.Prop to the model
  Parameters:
    `name` - the property name to add
    `value` - the property value to add

### delete

    public void delete(int rowIndex)

  Deletes the row index specified
  Parameters:
    `rowIndex` - the row index to delete

### getColumnName

    public java.lang.String getColumnName(int column)

  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `column` - the column number
  Returns:
    the column name at column

### getColumnCount

    public int getColumnCount()

  Overrides:
    `getColumnCount` in class `javax.swing.table.AbstractTableModel`
  Returns:
    the number of column in the table

### getRowCount

    public int getRowCount()

  Overrides:
    `getRowCount` in class `javax.swing.table.AbstractTableModel`
  Returns:
    the current number of rows in the table

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int rowIndex,
                           int columnIndex)

  Sets the value at the
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `rowIndex` - the row index
    `columnIndex` - the column index

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Overrides:
    `getValueAt` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `rowIndex` - the row index
    `columnIndex` - the column index
  Returns:
    the value in the table at

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`
  Returns:
    true if the cell is editable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details